2018-11-13 16:36 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0004003WHDLoad[All Projects] Generalpublic2018-11-08 21:13
Reporterixien 
Assigned ToStingRayProject InfoHD-Installer for OS-Killer
http://whdload.de/
 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version18.3 
Target VersionFixed in Version 
Summary0004003: WIZKID : Empty installation script
DescriptionThere is no script behind the install icon in the archive.
Steps To ReproduceJust try to install the game.
TagsNo tags attached.
MachineCDTV
CPU68000
CPUSpeed7
ChipSetECS
GFXCardNone
ChipMem2 MB
FastMem8 MB
WorkbenchOS 2.1
KickROM37 - Kick 2.0
KickSoftNone
WHDLoad18.3
Attached Files
  • ? file icon .whdl_register (3,627 bytes) 2018-11-07 05:26 -
    ************************* 07-Nov-18 05:20:51 ************************18.4.5907***
    Slave='WKI.SLAVE' (3256 bytes)
    ShadowMem 40474A10 - 404ACA10 ( 229376) AbsolutMem    38000 -   100000 ( 819200)
    Resload   47FE8000 - 47FEF698 (  30360) at 47FE8000  GL=$47FF1000
    Slave     47FFA000 - 47FFAC94 (   3220) at 47FFA000  BaseMemSize=$100000
    attn=207(UAE,30) fc=4 kn=23100 cs=669B rw=0 zpt=-1 ep=0 ei=0
    setcpu=33D(DC,IC,SCB,ECB,BNC)
    
    Function 'resload_SaveFile' called with illegal file specification
    'RAM:WK.TEMP'. Must not start/end with '/' and must not contain '//' or ':'.
    
    $47ffa63a rts
    $47ffa63c movem.l      d1/a0-a2,-(a7)                 ;$00000ae4
    $47ffa640 move.l       ($47ffa620,pc),a2
    $47ffa644 jsr          ($18,a2)                       ;$47fe8018
    $47ffa648 movem.l      (a7)+,d1/a0-a2                 ;$00000ae4
    $47ffa64c rts
    $47ffa64e movem.l      d1/a0-a2,-(a7)                 ;$00000ae4
    $47ffa652 move.l       ($47ffa620,pc),a2
    $47ffa656 jsr          ($24,a2)                       ;$47fe8024
    $47ffa65a movem.l      (a7)+,d1/a0-a2                 ;$00000ae4
    $47ffa65e rts
    $47ffa660 movem.l      d0-d1/a0-a2,-(a7)              ;$00000ae4
    $47ffa664 move.l       ($47ffa620,pc),a2
    $47ffa668 jsr          ($c,a2)                        ;$47fe800c
    $47ffa66c movem.l      (a7)+,d0-d1/a0-a2              ;$00000ae4
    $47ffa670 rts
    $47ffa672 neg.w        a7
    $47ffa674 subq.b       #1,d0
    $47ffa676 muls         -(a1),d1                       ;$0005e000
    $47ffa678 dc.w         $75f1
    $47ffa67a ori.b        #??$70,d0
    $47ffa67e move.w       #$7fff,($dff09a)
    $47ffa686 move.w       #$7fff,($dff096)
    $47ffa68e move.w       #0,($dff180)
    $47ffa696 lea          ($47ffa6b0,pc),a0
    $47ffa69a lea          ($72222),a1
    $47ffa6a0 move.w       #$f0,d0
    $47ffa6a4 move.l       (a0)+,(a1)+                    ;$47ffa0e6 $0005e000
    $47ffa6a6 dbf          d0,$47ffa6a4
    
    regular stack:
    $00000AE4 47FFA66C 00020262 0000FFFF 47FFA0E6 0005E000 00007F00 47FFA19C 0005E000
    $00000B04 00322E7C 00000B00 41F90007 2222224F 303C00F0 22D851C8 FFFC4EF9 00000B24
    $00000B24 43FA039C 70644299 51C8FFFC 4BFA0390 2B7C0000 0F4C0000 610001FC 70006100
    $00000B44 012E7002 61000054 226D0000 41EC0034 303AFFAE C0FC0020 D1C01B68 001A000C
    $00000B64 1B68001B 00122B68 001C0004 2B680016 00081B7C 00FF000E 102D000C B02D000E
    
      ----0---- ----1---- ----2---- ----3---- ----4---- ----5---- ----6---- ----7----
    Dx    20262      FFFF      1014      FFFF  D4D4D4D4  D5D5D5D5  D6D6D6D6  D7D7D7D7
    Ax 47FFA0E6     5E000  47FE8000      1FC8       F4C       EC2  A6A6A6A6
    
                     TTSM III   XNZVC
    PC=47FFA66C  SR %0010000000000000  USP=FFC00  ISP=AE4  MSP=FF800
    VBR=47FF2000  SFC=4  DFC=4  CACR=2111  CAAR=0  TT0=FF8540  TT1=0
    TC=80C07760  CRP=8000000247FE6000  SRP=8000000247FE6000  MMUSR=0
    
             MEDRAAAABVCPSDT          YZ  PMRCBSDAAAA
    intena=%0000000000000000 dmacon=%0010001000010000 adkcon=$2500
    intreq=%0001000000110010
    vposr....A300  vhposr...02DF  joy0dat..0303  joy1dat..0000  clxdat...8000  
    pot0dat..3500  pot1dat..0000  potinp...5500  serdatr..3000  dskbytr..A0AA  
    deniseid.00F8  hhposr...FFFE  
       ciaa:     PI ROPS		   ciab:     PI ROPS
    	cra=00000000  ta=21FF<21FF	   cra=00001000  ta=325D<325D
    	    AII ROPS			    AII ROPS
    	crb=00000000  tb=21FF<21FF	   crb=00001000  tb= 864< 864
    	    10RTWCLO	  parallel	    DRCCDSOY      M3210HDS
    	pra=11111100  prb=11111111      pra=00000111  prb=11111111
           ddra=00000011 ddrb=00000000     ddra=11000000 ddrb=11111111
           event=00033F  icr=00  sdr=00    event=03F6CE  icr=00  sdr=00
    
    ? file icon .whdl_register (3,627 bytes) 2018-11-07 05:26 +

-Relationships
+Relationships

-Notes

note ~0006484

Retroplay (reporter)

I copied over the install script from v1.0 install.
It starts the install procedure but quits with a "Function 'resload_SaveFile' called with illegal file specification" error as soon as I press LMB when told to do so.

Register attached.

Tested in latest WinUAE 4.1.0 beta 9 and SPS 1449 ipfs.

note ~0006485

StingRay (developer)

Both problems fixed in V1.2, RawDIC is now used to read the disks and the install script has been added to the archive.
+Notes

-Issue History
Date Modified Username Field Change
2018-11-05 10:13 ixien New Issue
2018-11-07 05:26 Retroplay File Added: .whdl_register
2018-11-07 05:26 Retroplay Note Added: 0006484
2018-11-08 21:12 StingRay Note Added: 0006485
2018-11-08 21:13 StingRay Assigned To => StingRay
2018-11-08 21:13 StingRay Status new => resolved
2018-11-08 21:13 StingRay Resolution open => fixed
+Issue History